Module java.desktop
Package javax.swing

# Interface SwingConstants

All Known Implementing Classes:
  `AbstractButton`, `AsyncBoxView`, `BasicArrowButton`, `BasicComboBoxRenderer`, `BasicComboBoxRenderer.UIResource`, `BasicInternalFrameUI.BorderListener`, `BasicScrollBarUI`, `BasicTabbedPaneUI`, `BasicToolBarUI`, `BlockView`, `BoxView`, `ComponentView`, `CompositeView`, `DefaultListCellRenderer`, `DefaultListCellRenderer.UIResource`, `DefaultTableCellRenderer`, `DefaultTableCellRenderer.UIResource`, `DefaultTreeCellEditor.DefaultTextField`, `DefaultTreeCellRenderer`, `FieldView`, `FlowView`, `FormView`, `GlyphView`, `IconView`, `ImageView`, `InlineView`, `JButton`, `JCheckBox`, `JCheckBoxMenuItem`, `JFormattedTextField`, `JLabel`, `JMenu`, `JMenuItem`, `JPasswordField`, `JPopupMenu.Separator`, `JProgressBar`, `JRadioButton`, `JRadioButtonMenuItem`, `JSeparator`, `JSlider`, `JTabbedPane`, `JTextField`, `JToggleButton`, `JToolBar`, `JToolBar.Separator`, `LabelView`, `ListView`, `MetalBorders.ToolBarBorder`, `MetalComboBoxButton`, `MetalFileChooserUI.FileRenderer`, `MetalFileChooserUI.FilterComboBoxRenderer`, `MetalScrollBarUI`, `MetalScrollButton`, `MetalTabbedPaneUI`, `MetalToolBarUI`, `ObjectView`, `ParagraphView`, `ParagraphView`, `PasswordView`, `PlainView`, `SwingUtilities`, `SynthScrollBarUI`, `SynthTabbedPaneUI`, `SynthToolBarUI`, `TableView`, `TableView.TableCell`, `TableView.TableRow`, `View`, `WrappedPlainView`, `ZoneView`

public interface SwingConstants
A collection of constants generally used for positioning and orienting components on the screen.

Since:
  1.2

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`BOTTOM`
Box-orientation constant used to specify the bottom of a box.
`static int`
`CENTER`
The central position in an area.
`static int`
`EAST`
Compass-direction east (right).
`static int`
`HORIZONTAL`
Horizontal orientation.
`static int`
`LEADING`
Identifies the leading edge of text for use with left-to-right and right-to-left languages.
`static int`
`LEFT`
Box-orientation constant used to specify the left side of a box.
`static int`
`NEXT`
Identifies the next direction in a sequence.
`static int`
`NORTH`
Compass-direction North (up).
`static int`
`NORTH_EAST`
Compass-direction north-east (upper right).
`static int`
`NORTH_WEST`
Compass-direction north west (upper left).
`static int`
`PREVIOUS`
Identifies the previous direction in a sequence.
`static int`
`RIGHT`
Box-orientation constant used to specify the right side of a box.
`static int`
`SOUTH`
Compass-direction south (down).
`static int`
`SOUTH_EAST`
Compass-direction south-east (lower right).
`static int`
`SOUTH_WEST`
Compass-direction south-west (lower left).
`static int`
`TOP`
Box-orientation constant used to specify the top of a box.
`static int`
`TRAILING`
Identifies the trailing edge of text for use with left-to-right and right-to-left languages.
`static int`
`VERTICAL`
Vertical orientation.
`static int`
`WEST`
Compass-direction west (left).

## Field Details

### CENTER

static final int CENTER
The central position in an area. Used for both compass-direction constants (NORTH, etc.) and box-orientation constants (TOP, etc.).

See Also:
  Constant Field Values

### TOP

static final int TOP
Box-orientation constant used to specify the top of a box.

See Also:
  Constant Field Values

### LEFT

static final int LEFT
Box-orientation constant used to specify the left side of a box.

See Also:
  Constant Field Values

### BOTTOM

static final int BOTTOM
Box-orientation constant used to specify the bottom of a box.

See Also:
  Constant Field Values

### RIGHT

static final int RIGHT
Box-orientation constant used to specify the right side of a box.

See Also:
  Constant Field Values

### NORTH

static final int NORTH
Compass-direction North (up).

See Also:
  Constant Field Values

### NORTH_EAST

static final int NORTH_EAST
Compass-direction north-east (upper right).

See Also:
  Constant Field Values

### EAST

static final int EAST
Compass-direction east (right).

See Also:
  Constant Field Values

### SOUTH_EAST

static final int SOUTH_EAST
Compass-direction south-east (lower right).

See Also:
  Constant Field Values

### SOUTH

static final int SOUTH
Compass-direction south (down).

See Also:
  Constant Field Values

### SOUTH_WEST

static final int SOUTH_WEST
Compass-direction south-west (lower left).

See Also:
  Constant Field Values

### WEST

static final int WEST
Compass-direction west (left).

See Also:
  Constant Field Values

### NORTH_WEST

static final int NORTH_WEST
Compass-direction north west (upper left).

See Also:
  Constant Field Values

### HORIZONTAL

static final int HORIZONTAL
Horizontal orientation. Used for scrollbars and sliders.

See Also:
  Constant Field Values

### VERTICAL

static final int VERTICAL
Vertical orientation. Used for scrollbars and sliders.

See Also:
  Constant Field Values

### LEADING

static final int LEADING
Identifies the leading edge of text for use with left-to-right and right-to-left languages. Used by buttons and labels.

See Also:
  Constant Field Values

### TRAILING

static final int TRAILING
Identifies the trailing edge of text for use with left-to-right and right-to-left languages. Used by buttons and labels.

See Also:
  Constant Field Values

### NEXT

static final int NEXT
Identifies the next direction in a sequence.

Since:
  1.4
See Also:
  Constant Field Values

### PREVIOUS

static final int PREVIOUS
Identifies the previous direction in a sequence.

Since:
  1.4
See Also:
  Constant Field Values